Unsupported major.minor version

I've been struggling with this error for a while. And I get different numbers, depending on the setup I'm using.
I've read all the related posts, but none of them have helped.
Which combinations work? (i.e. JCDK 2.2.2 with JRE x.x.x, JCDK 2.1 with JRE x.x.x, etc)
Does the eclipse version matter? Because my Eclipse only works with JCDK 2.2.2.
Please add that to the combinations if necessary?
And how do I set the prescribed things in Eclipse?
At Java Card-> Preferences, I selected the 2_2_2 folder, and then:
CLASSPATH is C:\JCDK-2.2.1\api_export_files\javacardx
JAVA_HOME is C:\j2sdk1.4.1_07 (my bin folder is in there)
JC_HOME is C:\JCDK-2.2.2 (the api_export_files etc is in there)
Are there any other places that I need to check are using the correct versions/pointing to the correct folders?

The Eclipse plugins only support JC 2.2.2.
You can use eclipse without these plugins. You can use the Ant task from the JCDK 2.2.2 along with the converter.jar and api.jar from an older JCDK to convert your project. You would also need to use the command line tools directly to test your code (cref etc). Make sure you adjust the compiler settings in Eclipse. You can set the target version to 1.3 for older JCDK's.
Cheers,
Shane

Similar Messages

  • Unsupported major.minor version  exception in 10g IAS

    I have developed a simple web-app based on JSF/MyFaces. In it I have included a managed bean. Upon deploying and running this web-app to Oracle 10g AS I get the following exception:
    javax.faces.FacesException: uk/ac/ukbiobank/crms/infobean (Unsupported major.minor version 49.0)     at org.apache.myfaces.context.servlet.ServletExternalContextImpl.dispatch(ServletExternalContextImpl.java:421)     at org.apache.myfaces.application.jsp.JspViewHandlerImpl.renderView(JspViewHandlerImpl.java:234)     at org.apache.myfaces.lifecycle.LifecycleImpl.render(LifecycleImpl.java:352)     at javax.faces.webapp.FacesServlet.service(FacesServlet.java:107)     at com.evermind[Oracle Application Server Containers for J2EE 10g (10.1.2.0.2)].server.http.ResourceFilterChain.doFilter(ResourceFilterChain.java:65)     at org.apache.myfaces.component.html.util.ExtensionsFilter.doFilter(ExtensionsFilter.java:122)     at com.evermind[Oracle Application Server Containers for J2EE 10g (10.1.2.0.2)].server.http.ServletRequestDispatcher.invoke(ServletRequestDispatcher.java:663)     at com.evermind[Oracle Application Server Containers for J2EE 10g (10.1.2.0.2)].server.http.ServletRequestDispatcher.forwardInternal(ServletRequestDispatcher.java:330)     at com.evermind[Oracle Application Server Containers for J2EE 10g (10.1.2.0.2)].server.http.HttpRequestHandler.processRequest(HttpRequestHandler.java:830)     at com.evermind[Oracle Application Server Containers for J2EE 10g (10.1.2.0.2)].server.http.AJPRequestHandler.run(AJPRequestHandler.java:224)     at com.evermind[Oracle Application Server Containers for J2EE 10g (10.1.2.0.2)].server.http.AJPRequestHandler.run(AJPRequestHandler.java:133)     at com.evermind[Oracle Application Server Containers for J2EE 10g (10.1.2.0.2)].util.ReleasableResourcePooledExecutor$MyWorker.run(ReleasableResourcePooledExecutor.java:192)     at java.lang.Thread.run(Thread.java:534)Caused by: javax.servlet.ServletException: uk/ac/ukbiobank/crms/infobean (Unsupported major.minor version 49.0)     at com.evermind[Oracle Application Server Containers for J2EE 10g (10.1.2.0.2)].server.http.EvermindPageContext.handlePageThrowable(EvermindPageContext.java:595)     at com.evermind[Oracle Application Server Containers for J2EE 10g (10.1.2.0.2)].server.http.EvermindPageContext.handlePageException(EvermindPageContext.java:537)     at helloWorld.jspService(_helloWorld.java:164)     [SRC:/helloWorld.jsp]     at com.orionserver[Oracle Application Server Containers for J2EE 10g (10.1.2.0.2)].http.OrionHttpJspPage.service(OrionHttpJspPage.java:56)     at oracle.jsp.runtimev2.JspPageTable.service(JspPageTable.java:350)     at oracle.jsp.runtimev2.JspServlet.internalService(JspServlet.java:509)     at oracle.jsp.runtimev2.JspServlet.service(JspServlet.java:413)     at javax.servlet.http.HttpServlet.service(HttpServlet.java:853)     at com.evermind[Oracle Application Server Containers for J2EE 10g (10.1.2.0.2)].server.http.ServletRequestDispatcher.invoke(ServletRequestDispatcher.java:824)     at com.evermind[Oracle Application Server Containers for J2EE 10g (10.1.2.0.2)].server.http.ServletRequestDispatcher.forwardInternal(ServletRequestDispatcher.java:330)     at com.evermind[Oracle Application Server Containers for J2EE 10g (10.1.2.0.2)].server.http.ServletRequestDispatcher.forward(ServletRequestDispatcher.java:253)     at org.apache.myfaces.context.servlet.ServletExternalContextImpl.dispatch(ServletExternalContextImpl.java:415)     ... 12 more
    I assumed that it was due to the java-compiler pointing at the wrong JDK so I made the necessary changes to the server.xml. However, this has not made ant difference.
    Has anybody else encountered this problem, and if so how did they fix it?
    Thanks in advance for any help.
    Angus

    I guess you have windows, and the environment path you can set through dialog of system settings. Right click 'my computer' and choose properties. Find the button for environment settings. Somewhere here you will see Oracle has added som reference to the 1.3 version. Adjust this so it works.
    Or, you can run the actual correct verssion of Java you would like from the commandline.
    Instead of running:
    c:\>java <Program name>try running by spesifying the correct java.exe path:
    C:\>c:\program files\java\jre 1.6.0_07\bin\java.exe <program name>Hope this will help
    - Roy

  • Error while installing Service Manager 4.1 (Unsupported major.minor version)

    Hi All,
    I have installed SMP 3.0 and I am installing Service Manager 4.1 on this server.
    I am folliwng the document - CRMSM41_Installation for installation of SM 4.1
    After installation , I configured the JavaBE.ini file and Agentry.ini. . This is the folder structure -
    When I tried to check the connection using ConnectTest.bat file I am getting the below error
    INI file: D:\SAP\MobilePlatform3\Server\configuration\com.sap.mobile.platform.se
    rver.agentry.application\JavaBE.ini
    *** Caught exception: com/syclo/agentry/Server : Unsupported major.minor version
    51.0
    release::releasing connection
    release::complete.
    Press any key to continue . . .
    At present I have JDK1.6.0_51,. Do I need to modify the Java version ?
    Please advise how to corect this issue
    Thanks and Regards
    Neha Mahanty

    Hi Bill,
    Yes after the correct JDK the connection test was successful. I will now deploy the application in the server. I need to go through the deployment steps to proceed further.
    The connection test looks like -
    INI file: D:\SAP\MobilePlatform3\Server\configuration\com.sap.mobile.platform.se rver.agentry.application\JavaBE.ini
    Encoding: ASCII
    reading user credentials from [SERVICE_LOGON] section
    connecting as...
    clientNum=100
    sysNum=01
    host=<My Host Name>
    name=sycloadm
    openCustomConnection::begin
    *** Caught exception: null
    release::releasing connection
    closeConnection::begin
    release::complete.
    Press any key to continue . . .
    Thanks
    Neha

  • Error (Unsupported major.minor version 49.0) in Servlet - Tomcat 5.0.19

    Hello,
    I am completely new to developing java web applications and I dealing with some very strange behavior. I am simply trying to run tomcat through a tomcat plugin for debugging purposes. When I start tomcat via the command line my application runs fine. When I start tomcat via the eclipse plugin, the server starts without any errors, however when I try to access certain pages via web browser I receive the error
    javax.servlet.ServletException: com/sun/tools/javac/Main (Unsupported major.minor version 49.0)
         org.apache.jasper.servlet.JspServlet.service(JspServlet.java:256)
         javax.servlet.http.HttpServlet.service(HttpServlet.java:856)
         org.apache.struts.action.RequestProcessor.doForward(RequestProcessor.java:1069)
         org.apache.struts.tiles.TilesRequestProcessor.doForward(TilesRequestProcessor.java:274)
         org.apache.struts.tiles.TilesRequestProcessor.processTilesDefinition(TilesRequestProcessor.java:254)
         org.apache.struts.tiles.TilesRequestProcessor.processForwardConfig(TilesRequestProcessor.java:309)
         org.apache.struts.action.RequestProcessor.process(RequestProcessor.java:279)
         org.apache.struts.action.ActionServlet.process(ActionServlet.java:1482)
         org.apache.struts.action.ActionServlet.doGet(ActionServlet.java:507)
         javax.servlet.http.HttpServlet.service(HttpServlet.java:743)
         javax.servlet.http.HttpServlet.service(HttpServlet.java:856)
    root cause
    java.lang.UnsupportedClassVersionError: com/sun/tools/javac/Main (Unsupported major.minor version 49.0)
         java.lang.ClassLoader.defineClass0(Native Method)
         java.lang.ClassLoader.defineClass(Unknown Source)
         java.security.SecureClassLoader.defineClass(Unknown Source)
         java.net.URLClassLoader.defineClass(Unknown Source)
         java.net.URLClassLoader.access$100(Unknown Source)
         java.net.URLClassLoader$1.run(Unknown Source)
         java.security.AccessController.doPrivileged(Native Method)
         java.net.URLClassLoader.findClass(Unknown Source)
         org.apache.catalina.loader.StandardClassLoader.findClass(StandardClassLoader.java:520)
         org.apache.catalina.loader.StandardClassLoader.loadClass(StandardClassLoader.java:857)
         org.apache.catalina.loader.StandardClassLoader.loadClass(StandardClassLoader.java:756)
         java.lang.ClassLoader.loadClassInternal(Unknown Source)
         java.lang.Class.forName0(Native Method)
         java.lang.Class.forName(Unknown Source)
         org.apache.tools.ant.taskdefs.compilers.CompilerAdapterFactory.doesModernCompilerExist(CompilerAdapterFactory.java:174)
         org.apache.tools.ant.taskdefs.compilers.CompilerAdapterFactory.getCompiler(CompilerAdapterFactory.java:132)
         org.apache.tools.ant.taskdefs.Javac.compile(Javac.java:969)
         org.apache.tools.ant.taskdefs.Javac.execute(Javac.java:799)
         org.apache.jasper.compiler.Compiler.generateClass(Compiler.java:390)
         org.apache.jasper.compiler.Compiler.compile(Compiler.java:458)
         org.apache.jasper.compiler.Compiler.compile(Compiler.java:439)
         org.apache.jasper.JspCompilationContext.compile(JspCompilationContext.java:553)
         org.apache.jasper.servlet.JspServletWrapper.service(JspServletWrapper.java:291)
         org.apache.jasper.servlet.JspServlet.serviceJspFile(JspServlet.java:301)
         org.apache.jasper.servlet.JspServlet.service(JspServlet.java:248)
         javax.servlet.http.HttpServlet.service(HttpServlet.java:856)
         org.apache.struts.action.RequestProcessor.doForward(RequestProcessor.java:1069)
         org.apache.struts.tiles.TilesRequestProcessor.doForward(TilesRequestProcessor.java:274)
         org.apache.struts.tiles.TilesRequestProcessor.processTilesDefinition(TilesRequestProcessor.java:254)
         org.apache.struts.tiles.TilesRequestProcessor.processForwardConfig(TilesRequestProcessor.java:309)
         org.apache.struts.action.RequestProcessor.process(RequestProcessor.java:279)
         org.apache.struts.action.ActionServlet.process(ActionServlet.java:1482)
         org.apache.struts.action.ActionServlet.doGet(ActionServlet.java:507)
         javax.servlet.http.HttpServlet.service(HttpServlet.java:743)
         javax.servlet.http.HttpServlet.service(HttpServlet.java:856)
    I realize this is occurring due to java version issues however I cannot understand why simply running tomcat via the eclipse plugin causes this since the jvm settings all appear to be correct

    I'm seeing exactly the same thing with Tomcat 4.1 ---also new to Java, no idea how to go about fixing this.
    However, since you posted this in August and nobody has responded, it's not clear that this forum is going to be much use.
    Sigh

  • Different JDK problems: Unsupported major minor version

    We have a very large application, with a client that runs on a PDA and a client (and server) that will run on a normal desktop computer...
    These clients use partially the same code, and partially specific code.
    For the PDA-client we're bound to Creme (it's something like jdk 1.3) and for the Desktop-client we want to go to JDK 6.
    Now I'm getting the error Unsupported major minor version 50 insteadof 47...
    What would be the best solution to this problem?
    - Should I try to split all common files (increasing the amount of code and the maintenance to the code)
    - Or should I keep the commonfiles compiled with JDK 1.4.2 (adding another necessary JDK, a lot of checkstyle complaints, and not the ability to use the new Java-functionality like generics etc...
    - Or is there a better way?
    Any help would be grately appreciated :)

    by reading the documentation.
    You have your system set up wrong. This is common with people who don't read the documentation.
    If after reading the documentation you still can't get it to work, try the search option.
    The answer to your question has been supplied dozens, nay hundreds, of times already and is easy to find.
    If you still can't get it, find something else to do, like labelling mail for advertising campaigns.

  • Error (Unsupported major.minor version 49.0)  in Servlet - Tomcat 4.1

    Hello,
    I have got below error when i have run web application with JSP,Servlet,beans:
    I have used Tomacat 4.1, 5.0 and 5.9.No change ???
    I am using j2sdk1.4.2_03 and j2re1.4.2_03.
    This is the complete project i want to run in my PC
    when i extract .war file and run on my PC it's generate below error :
    This is urgent For me . PLEASE HELP
    ERROR :
    HTTP Status 500 -
    type Exception report
    message
    description The server encountered an internal error () that prevented it from fulfilling this request.
    exception
    javax.servlet.ServletException: Error allocating a servlet instance
         at org.apache.catalina.core.StandardWrapper.allocate(StandardWrapper.java:672)
         at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:210)
         at org.apache.catalina.core.StandardPipeline$StandardPipelineValveContext.invokeNext(StandardPipeline.java:643)
         at org.apache.catalina.core.StandardPipeline.invoke(StandardPipeline.java:480)
         at org.apache.catalina.core.ContainerBase.invoke(ContainerBase.java:995)
         at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:191)
         at org.apache.catalina.core.StandardPipeline$StandardPipelineValveContext.invokeNext(StandardPipeline.java:643)
         at org.apache.catalina.core.StandardPipeline.invoke(StandardPipeline.java:480)
         at org.apache.catalina.core.ContainerBase.invoke(ContainerBase.java:995)
         at org.apache.catalina.core.StandardContext.invoke(StandardContext.java:2422)
         at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:180)
         at org.apache.catalina.core.StandardPipeline$StandardPipelineValveContext.invokeNext(StandardPipeline.java:643)
         at org.apache.catalina.valves.ErrorDispatcherValve.invoke(ErrorDispatcherValve.java:171)
         at org.apache.catalina.core.StandardPipeline$StandardPipelineValveContext.invokeNext(StandardPipeline.java:641)
         at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:163)
         at org.apache.catalina.core.StandardPipeline$StandardPipelineValveContext.invokeNext(StandardPipeline.java:641)
         at org.apache.catalina.core.StandardPipeline.invoke(StandardPipeline.java:480)
         at org.apache.catalina.core.ContainerBase.invoke(ContainerBase.java:995)
         at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:174)
         at org.apache.catalina.core.StandardPipeline$StandardPipelineValveContext.invokeNext(StandardPipeline.java:643)
         at org.apache.catalina.core.StandardPipeline.invoke(StandardPipeline.java:480)
         at org.apache.catalina.core.ContainerBase.invoke(ContainerBase.java:995)
         at org.apache.coyote.tomcat4.CoyoteAdapter.service(CoyoteAdapter.java:199)
         at org.apache.coyote.http11.Http11Processor.process(Http11Processor.java:828)
         at org.apache.coyote.http11.Http11Protocol$Http11ConnectionHandler.processConnection(Http11Protocol.java:700)
         at org.apache.tomcat.util.net.TcpWorkerThread.runIt(PoolTcpEndpoint.java:584)
         at org.apache.tomcat.util.threads.ThreadPool$ControlRunnable.run(ThreadPool.java:683)
         at java.lang.Thread.run(Thread.java:536)
    root cause
    java.lang.UnsupportedClassVersionError: com/innovapark/soar/jsp/index_jsp (Unsupported major.minor version 49.0)
         at java.lang.ClassLoader.defineClass0(Native Method)
         at java.lang.ClassLoader.defineClass(ClassLoader.java:509)
         at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:123)
         at org.apache.catalina.loader.WebappClassLoader.findClassInternal(WebappClassLoader.java:1679)
         at org.apache.catalina.loader.WebappClassLoader.findClass(WebappClassLoader.java:968)
         at org.apache.catalina.loader.WebappClassLoader.loadClass(WebappClassLoader.java:1409)
         at org.apache.catalina.loader.WebappClassLoader.loadClass(WebappClassLoader.java:1289)
         at org.apache.catalina.core.StandardWrapper.loadServlet(StandardWrapper.java:885)
         at org.apache.catalina.core.StandardWrapper.allocate(StandardWrapper.java:668)
         at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:210)
         at org.apache.catalina.core.StandardPipeline$StandardPipelineValveContext.invokeNext(StandardPipeline.java:643)
         at org.apache.catalina.core.StandardPipeline.invoke(StandardPipeline.java:480)
         at org.apache.catalina.core.ContainerBase.invoke(ContainerBase.java:995)
         at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:191)
         at org.apache.catalina.core.StandardPipeline$StandardPipelineValveContext.invokeNext(StandardPipeline.java:643)
         at org.apache.catalina.core.StandardPipeline.invoke(StandardPipeline.java:480)
         at org.apache.catalina.core.ContainerBase.invoke(ContainerBase.java:995)
         at org.apache.catalina.core.StandardContext.invoke(StandardContext.java:2422)
         at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:180)
         at org.apache.catalina.core.StandardPipeline$StandardPipelineValveContext.invokeNext(StandardPipeline.java:643)
         at org.apache.catalina.valves.ErrorDispatcherValve.invoke(ErrorDispatcherValve.java:171)
         at org.apache.catalina.core.StandardPipeline$StandardPipelineValveContext.invokeNext(StandardPipeline.java:641)
         at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:163)
         at org.apache.catalina.core.StandardPipeline$StandardPipelineValveContext.invokeNext(StandardPipeline.java:641)
         at org.apache.catalina.core.StandardPipeline.invoke(StandardPipeline.java:480)
         at org.apache.catalina.core.ContainerBase.invoke(ContainerBase.java:995)
         at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:174)
         at org.apache.catalina.core.StandardPipeline$StandardPipelineValveContext.invokeNext(StandardPipeline.java:643)
         at org.apache.catalina.core.StandardPipeline.invoke(StandardPipeline.java:480)
         at org.apache.catalina.core.ContainerBase.invoke(ContainerBase.java:995)
         at org.apache.coyote.tomcat4.CoyoteAdapter.service(CoyoteAdapter.java:199)
         at org.apache.coyote.http11.Http11Processor.process(Http11Processor.java:828)
         at org.apache.coyote.http11.Http11Protocol$Http11ConnectionHandler.processConnection(Http11Protocol.java:700)
         at org.apache.tomcat.util.net.TcpWorkerThread.runIt(PoolTcpEndpoint.java:584)
         at org.apache.tomcat.util.threads.ThreadPool$ControlRunnable.run(ThreadPool.java:683)
         at java.lang.Thread.run(Thread.java:536)
    Apache Tomcat/4.1.30
    Thank You
    Neon

    Solved
    Just do these things.... If you initially complied your classes in jdk1.5 and if u r trying to run the same in 1.4.2 or other.. The already compiled classes will be expecting jdk 1.5 JRE for their runtime execution. So what u have to do is......
    1.stop ur sever
    2.delete the work directory in tomcat
    3.Delete the work directory in your projects web-app Folder
    4.Now cleann the project... Build... and Run Again ... . It should work...
    if still it dont , i prefer use only jdk1.4.2 on system.. set enviorment variebles for it...Reinstall tomcat .. and do above mentioned steps ,,, This should solve the problem...
    Message was edited by:
    sunildm4u

  • Packaging Wizard - Compile Jsp ! unsupported major.minor.version

    Hi!
    I did follow the "Building Offline Mobile Web Applications Using BC4J" Tutorial
    http://download-uk.oracle.com/docs/cd/B19188_01/doc/B15920/nvbc4jtu.htm#CACHIGCG
    using jdev904.
    Everything goes straight until I reach 20.3.5
    I can't compile the jsp-Files in the Packaging Wizard.
    The conversion from jsp -to java-Files is successfull, but the next step
    (compiling them to class-Files) fails.
    It does'nt matter what the JAVA_HOME-Environment is set ( 1.4.x or 1.5)
    the error is always
    java.lang.UnsupportedClassVersionError: sun/tools/javac/Main (Unsupported major.minor version 49.0)
    ava.lang.UnsupportedClassVersionError: sun/tools/javac/Main (Unsupported major.minor version 49.0)
         at java.lang.ClassLoader.defineClass0(Native Method)
         at java.lang.ClassLoader.defineClass(Unknown Source)
         at java.security.SecureClassLoader.defineClass(Unknown Source)
         at java.net.URLClassLoader.defineClass(Unknown Source)
         at java.net.URLClassLoader.access$100(Unknown Source)
         at java.net.URLClassLoader$1.run(Unknown Source)
         at java.security.AccessController.doPrivileged(Native Method)
         at java.net.URLClassLoader.findClass(Unknown Source)
         at java.lang.ClassLoader.loadClass(Unknown Source)
         at sun.misc.Launcher$AppClassLoader.loadClass(Unknown Source)
         at java.lang.ClassLoader.loadClass(Unknown Source)
         at java.lang.ClassLoader.loadClassInternal(Unknown Source)
         at oracle.jsp.tools.Jspc.javaCompile(Jspc.java:882)
         at oracle.jsp.tools.Jspc.translate(Jspc.java:217)
         at oracle.lite.web.xml.JupDevApp.doJSPCompiling(Unknown Source)
         at oracle.lite.web.xml.JupDevApp.compileJsps(Unknown Source)
         at oracle.lite.web.pack.JupFilePanel$JSPDlg.doJspCompile(Unknown Source)
         at oracle.lite.web.pack.JupFilePanel$JSPDlg.access$400(Unknown Source)
         at oracle.lite.web.pack.JupFilePanel$14.run(Unknown Source)
    Thanx for any hint !

    After cleaning up all different java-Installations
    and additionally setting USER-Environment-Variable JAVA_HOME
    i was able to compile!

  • ODI to MSSQL - Unsupported major.minor version

    I have created my MSSQL Dataserver, and the connection tests good, but I am unable to create a Physical Schema.
    When I try I get the follow error(s)
    java.lang.UnsupportedClassVersionError: com/microsoft/sqlserver/jdbc/SQLServerDriver (Unsupported major.minor version 49.0)
         at java.lang.ClassLoader.defineClass0(Native Method)
         at java.lang.ClassLoader.defineClass(Unknown Source)
         at java.security.SecureClassLoader.defineClass(Unknown Source)
         at java.net.URLClassLoader.defineClass(Unknown Source)
         at java.net.URLClassLoader.access$100(Unknown Source)
         at java.net.URLClassLoader$1.run(Unknown Source)
         at java.security.AccessController.doPrivileged(Native Method)
         at java.net.URLClassLoader.findClass(Unknown Source)
         at java.lang.ClassLoader.loadClass(Unknown Source)
         at sun.misc.Launcher$AppClassLoader.loadClass(Unknown Source)
         at java.lang.ClassLoader.loadClass(Unknown Source)
         at java.lang.ClassLoader.loadClassInternal(Unknown Source)
         at java.lang.Class.forName0(Native Method)
         at java.lang.Class.forName(Unknown Source)
         at com.sunopsis.sql.SnpsConnection.a(SnpsConnection.java)
         at com.sunopsis.sql.SnpsConnection.testConnection(SnpsConnection.java)
         at com.sunopsis.sql.SnpsConnection.testConnection(SnpsConnection.java)
         at com.sunopsis.graphical.frame.b.jz.dP(jz.java)
         at com.sunopsis.graphical.frame.b.jz.bD(jz.java)
         at com.sunopsis.graphical.frame.bo.bz(bo.java)
         at com.sunopsis.graphical.frame.b.jz.em(jz.java)
         at com.sunopsis.graphical.frame.b.jz.<init>(jz.java)
         at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
         at sun.reflect.NativeConstructorAccessorImpl.newInstance(Unknown Source)
         at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(Unknown Source)
         at java.lang.reflect.Constructor.newInstance(Unknown Source)
         at com.sunopsis.graphical.frame.bb.b(bb.java)
         at com.sunopsis.graphical.tools.utils.swingworker.v.call(v.java)
         at edu.emory.mathcs.backport.java.util.concurrent.FutureTask.run(FutureTask.java:176)
         at com.sunopsis.graphical.tools.utils.swingworker.l.run(l.java)
         at edu.emory.mathcs.backport.java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:665)
         at edu.emory.mathcs.backport.java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:690)
         at java.lang.Thread.run(Unknown Source)
    I have tried using sqljdbc4.jar and sqljdbc.jar, when I use 4 the error lists the bad version as 50.0, but it is the same other than that.

    ODI_JAVA_HOME = C:\Program Files\Java\jre1.6.0_06
    Test connection: JRE version 1.6 is not supported by this driver. Use the sqljdbc4.jar class
    Ok, I changed sqljdbc.jar - sqljdbc4.jar.
    JDBC: com.microsoft.sqlserver.jdbc.SQLServerDriver
    URL: jdbc:sqlserver://<host>:1433; databaseName=DB
    Test connection:
    com.microsoft.sqlserver.jdbc.SQLServerException: The TCP/IP connection to the host <host>, port 1433 has failed. Error: "connect timed out. Verify the connection properties, check that an instance of SQL Server is running on the host and accepting TCP/IP connections at the port, and that no firewall is blocking TCP connections to the port.".
    May be incorrect connection' parameters?

  • UnsupportedClassVersionError Unsupported major minor version 50.

    I installed Java 1.6 in C:\Program Files\Java\jdk1.6.0. I am able to compile a java files from the command prompt but when I try to run a java file I get the following error "UnsupportedClassVersionError Unsupported major minor version 50."
    I am able compile and run the same file when I use TextPad.
    I ran the command java -version and it tells me java version "1.3.1_01"
    Java<TM> 2 Runtime Environment, Standard Edition (build 1.3.1_01)
    Java HotSpot<TM> Client VM (build 1.3.1_01, mixed mode).
    I have set the class_path to C:\Program Files\Java\jdk1.6.0\bin.
    How can I resolve this issue and shouldn't the java version be 1.6.0?
    Thanks.
    Sami

    Hi Friends,
    Is there any to solve my problem. Till now i'm enable to resolve my problem.... MY PROBLEM IS : In my system, the same error as above
    Pls send solutions to it..
    Thanks
    Charan

  • Jdbc tutorial Unsupported major.minor version 51.0

    i am trying tolearn from this tutorial: [http://download.oracle.com/javase/tutorial/jdbc/basics/gettingstarted.html|http://download.oracle.com/javase/tutorial/jdbc/basics/gettingstarted.html]
    i did evrything up to 11. step (please read it)
    when i try this
    C:\JDBC Tutorial>ant runct
    Buildfile: C:\JDBC Tutorial\build.xml
    runct:
    [java] java.lang.UnsupportedClassVersionError: com/oracle/tutorial/jdbc/Cof
    feesTable : Unsupported major.minor version 51.0
    [java] at java.lang.ClassLoader.defineClass1(Native Method)
    [java] at java.lang.ClassLoader.defineClassCond(ClassLoader.java:631)
    [java] at java.lang.ClassLoader.defineClass(ClassLoader.java:615)
    [java] at java.security.SecureClassLoader.defineClass(SecureClassLoader
    .java:141)
    [java] at java.net.URLClassLoader.defineClass(URLClassLoader.java:283)
    [java] at java.net.URLClassLoader.access$000(URLClassLoader.java:58)
    [java] at java.net.URLClassLoader$1.run(URLClassLoader.java:197)
    [java] at java.security.AccessController.doPrivileged(Native Method)
    [java] at java.net.URLClassLoader.findClass(URLClassLoader.java:190)
    [java] at java.lang.ClassLoader.loadClass(ClassLoader.java:306)
    [java] at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:301)
    [java] at java.lang.ClassLoader.loadClass(ClassLoader.java:247)
    [java] Could not find the main class: com.oracle.tutorial.jdbc.CoffeesTable
    . Program will exit.
    [java] Exception in thread "main"
    [java] Java Result: 1
    BUILD SUCCESSFUL
    Total time: 1 second
    my java version is
    C:\JDBC Tutorial>java -version
    java version "1.6.0_26"
    Java(TM) SE Runtime Environment (build 1.6.0_26-b03)
    Java HotSpot(TM) 64-Bit Server VM (build 20.1-b02, mixed mode)
    C:\JDBC Tutorial>javac -version
    javac 1.6.0_26
    in the mysql-build-properties.xml set this :
    <property name="JAVAC" value="C:\\Program Files\\Java\\jdk1.6.0_26\\bin\\javac.exe"/>
    <property name="JAVA" value="C:\\Program Files\\Java\\jdk1.6.0_26\\bin\\java.exe"/>
    is it possible to not set corectly the path? what's happening? how can i fix it?

    java.lang.UnsupportedClassVersionErrorThat would only happen if you have compiled a class with a compiler of version X and then attempt to run it with a VM that is before X.
    ant runctAnt is java. So it runs with a VM. It also uses a java compiler. Unless explicitly specified otherwise it is going to use the compiler that corresponds to the VM it is running under.

  • Exception in thread "main" Unsupported major.minor version 50.0

    When i type javac <program name>.java
    it compiles.
    But when i type java <program name>
    i get this error:
    Exception in thread "main" java.lang.UnsupportedClassVersionError
    <Unsupportedmajor.minor version 50.0>
    I type javac -version.
    I get 1.6.0_07.
    I type java -version
    I get 1.3.1_02.
    Actually i installed oracle in my system and it uses an older version of jdk..
    How do i make oracle and java work with newer version of jdk? How do i remove older version of jdk which is installed with in oracle??

    I guess you have windows, and the environment path you can set through dialog of system settings. Right click 'my computer' and choose properties. Find the button for environment settings. Somewhere here you will see Oracle has added som reference to the 1.3 version. Adjust this so it works.
    Or, you can run the actual correct verssion of Java you would like from the commandline.
    Instead of running:
    c:\>java <Program name>try running by spesifying the correct java.exe path:
    C:\>c:\program files\java\jre 1.6.0_07\bin\java.exe <program name>Hope this will help
    - Roy

  • Applet will not load in browser Unsupported major.minor version 48.0

    I found this page, and many others like it from search the net:
    http://forum.java.sun.com/thread.jspa?forumID=421&threadID=345619
    When I first got java installed 1.4.2_02, and that is the directory I always work in.
    I HAVE installed:
    jre 1.5.0
    and
    JMF2.1.1e
    HOWEVER!!! When i go to the Java icon in the toolbar and dub-click it states:
    Java(TM) Plug-in: Version 1.3.1_13
    Using JRE version 1.3.1_13 Java HotSpot(TM) Client VM
    User home directory = C:\Documents and Settings\javasojava
    Proxy Configuration: no proxyAdditionally, if I go to windows Control panel it states:
    Java Plug-in 1.3.1_13
    My very simple applet program does compile with appletviewer, but
    throws this error in browser.
    Needless to say, this is extremely frustrating.
    Have no other problems building java apps or anything classpath related that am aware of.
    Here it is:
    CLASSPATH=.;C:\PROGRA~1\JMF21~1.1E\lib\sound.jar;C:\PROGRA~1\JMF21~1.1E\lib\jmf.jar;C:\PROGRA~1\JMF21~1.1E\lib;.;.;C:\j2sdk1.4.2_04\jre\lib\ext\sound.jar;C:\j2sdk1.4.2\2
    Thank you!

    here is what I get when I open the page you mentioned:
    ==============================================
    Error loading class: ArcTest
    java.lang.NoClassDefFoundError
    java.lang.ClassNotFoundException: ArcTest
         at com/ms/vm/loader/URLClassLoader.loadClass (URLClassLoader.java)
         at com/ms/vm/loader/URLClassLoader.loadClass (URLClassLoader.java)
         at com/ms/applet/AppletPanel.securedClassLoad (AppletPanel.java)
         at com/ms/applet/AppletPanel.processSentEvent (AppletPanel.java)
         at com/ms/applet/AppletPanel.processSentEvent (AppletPanel.java)
         at com/ms/applet/AppletPanel.run (AppletPanel.java)
         at java/lang/Thread.run (Thread.java)Why.. because I refuse sun to run <applet tag applets. As with the msjvm the <applet
    tag is history so I don't understand why SUN would use depreceated html code in
    their 1.5 examples.
    Check what I said about versioning and use the object tag and try to run the following
    applet:
    http://forum.java.sun.com/thread.jspa?threadID=603571
    second post

  • Major.minor version

    Im getting unsupported major.minor version exception while doing web applications using both tomcat5.0 and weblogic8.1, on the JVMs 1.4 and 1.5.
    Where did i do mistake???

    You are using different versions of jre and jdk, please change one of them and the problem would go.
    Cheers
    Varun Rathore

  • Aglets-java.lang.UnsupportedClassVersionError:Unsupported major.minor versi

    hi! I am doing project using aglets while i am following code i am getting error as shown below.pls help me.
    import com.ibm.aglet.*;
    public class CreatedAglet extends Aglet
    public void onCreation(Object init)
    System.out.println("createdAglet agent created");
    public void run()
    System.out.println("createdAglet running");
    import com.ibm.aglet.*;
    public class CreatingAglet extends Aglet
    public void onCreation(Object init)
    System.out.println("Agent Created");
    public void run()
    try
    AgletContext context = this.getAgletContext();
    context.createAglet(null,"CreatedAglet",null);
    catch(Exception e)
    System.out.println("Exception " + e);
    Error :
    Microsoft Windows XP [Version 5.1.2600]
    java.lang.UnsupportedClassVersionError: CreatingAglet (Unsupported major.minor v
    ersion 50.0)
    at java.lang.ClassLoader.defineClass0(Native Method)
    at java.lang.ClassLoader.defineClass(ClassLoader.java:537)
    at com.ibm.aglets.tahiti.AgletClassLoader.loadClassFromCodeBase(Unknown
    Source)
    at com.ibm.aglets.tahiti.AgletClassLoader.findClassInternal(Unknown Sour
    ce)
    at com.ibm.aglets.tahiti.AgletClassLoader.loadClass(Unknown Source)
    at java.lang.ClassLoader.loadClass(ClassLoader.java:235)
    at com.ibm.aglets.tahiti.ResourceManagerImpl.loadClass(Unknown Source)
    at com.ibm.aglets.AgletContextImpl.createAglet(Unknown Source)
    at com.ibm.aglets.AgletContextImpl.createAglet(Unknown Source)
    at com.ibm.aglets.tahiti.MainWindow$TahitiEventHandler.perform(Unknown S
    ource)
    at com.ibm.aglets.tahiti.MainWindow$TahitiEventHandler.run(Unknown Sourc
    e)
    at java.lang.Thread.run(Thread.java:534)
    When loading CreatingAglet from atp://system:4434/ : java.lang.UnsupportedClassV
    ersionErrorCreatingAglet (Unsupported major.minor version 50.0)
    java.lang.ClassNotFoundException: When loading CreatingAglet from atp://system:4
    434/ : java.lang.UnsupportedClassVersionErrorCreatingAglet (Unsupported major.mi
    nor version 50.0)
    at com.ibm.aglets.tahiti.AgletClassLoader.loadClassFromCodeBase(Unknown
    Source)
    at com.ibm.aglets.tahiti.AgletClassLoader.findClassInternal(Unknown Sour
    ce)
    at com.ibm.aglets.tahiti.AgletClassLoader.loadClass(Unknown Source)
    at java.lang.ClassLoader.loadClass(ClassLoader.java:235)
    at com.ibm.aglets.tahiti.ResourceManagerImpl.loadClass(Unknown Source)
    at com.ibm.aglets.AgletContextImpl.createAglet(Unknown Source)
    at com.ibm.aglets.AgletContextImpl.createAglet(Unknown Source)
    at com.ibm.aglets.tahiti.MainWindow$TahitiEventHandler.perform(Unknown S
    ource)
    at com.ibm.aglets.tahiti.MainWindow$TahitiEventHandler.run(Unknown Sourc
    e)
    at java.lang.Thread.run(Thread.java:534)

    The error message says that you have a library that is too new for your JDK/VM.
    Kaj

  • Invalid class file format... major.minor version '49.0' is too recent ...

    I am using the Eclipse 3.1 and Oracel BPEL designer 0.9.13
    After I created a new BPEL process (named: trybpel), I got the following output in the console:
    uildfile: D:\eclipse\workspace\trybpel\build.xml
    main:
    [bpelc] &#27491;&#22312;&#39564;&#35777; "D:\eclipse\workspace\trybpel\trybpel.bpel" ...
    [bpelc] error: Invalid class file format in D:\Java\jre1.5.0\lib\rt.jar(java/lang/Object.class). The major.minor version '49.0' is too recent for this tool to understand.
    [bpelc] error: Class java.lang.Object not found in class com.collaxa.cube.engine.core.BaseCubeProcess.
    [bpelc] 2 errors
    BUILD FAILED: D:\eclipse\workspace\trybpel\build.xml:28: ORABPEL-01005
    Total time: 8 seconds
    I am puzzled with the information in bold. Would anyone tell me how to fix this problem? Thank you very much.

    the same error ORABPEL-01005, but not the same error message,
    Errors occurred when compile the bpel process using bpel designer for Eclipse:
    (com.oracle.bpel.designer_0.9.13)
    using PM: bpel_jboss_101200
    More error infomation following:
    Buildfile: E:\OraBpelDEclipse3.2\workspace\AboutTest\build.xml
    main:
    [bpelc] E:\OraBpelDEclipse3.2\workspace\AboutTest\temp\bpelc762.tmp\BPEL-INF\src\bpel\p0\BPEL_BIN.java:835: Invalid expression statement.
    [bpelc] retun true;
    [bpelc] ^
    [bpelc] E:\OraBpelDEclipse3.2\workspace\AboutTest\temp\bpelc762.tmp\BPEL-INF\src\bpel\p0\BPEL_BIN.java:835: ';' expected.
    [bpelc] retun true;
    [bpelc] ^
    [bpelc] E:\OraBpelDEclipse3.2\workspace\AboutTest\temp\bpelc762.tmp\BPEL-INF\src\bpel\p0\BPEL_BIN.java:208: Method setPartneLinkBinding(com.collaxa.cube.rm.suitcase.PartnerLinkBindingDescriptor) not found in class com.collaxa.cube.engine.types.bpel.CXPartnerLink.
    [bpelc] __pl.setPartneLinkBinding(getProcessDescriptor().getPartnerLinkBindings().getPartnerLinkBinding(__pl.getName()));
    [bpelc] ^
    [bpelc] E:\OraBpelDEclipse3.2\workspace\AboutTest\temp\bpelc762.tmp\BPEL-INF\src\bpel\p0\BPEL_BIN.java:584: Undefined variable: __ctx
    [bpelc] __setOutgoingLinks(__sc, __ctx);
    [bpelc] ^
    [bpelc] 4 errors
    BUILD FAILED
    E:\OraBpelDEclipse3.2\workspace\AboutTest\build.xml:28: ORABPEL-01005
    Error in java files auto-generated when compiling ,why?
    Thanks!

Maybe you are looking for

  • Buttons not working in Browser - Please Help!

    Hello, I am designing a website that resizes itself to the browser's windows size. So far, I am having a lot of trouble with IE8, but let's leave that for later. My main problem is that buttons work when I test the swf inside flash, but not when in c

  • No audio slideshow on output to TV from nano

    I have the Apple Composite AV Cable which I'm using to output from my new Nano (with video) to my TV. For movies it plays the video and sound, but for slideshows I can only see the video (no audio portion) even though I've selected a playlist in the

  • How to connect iphone 5 to iphone 6 via bluetooth

    i am trying to connect my iphone 5 to my iphone 6 but it is not working,, is iphone bluetooth only for audio and video contivity?

  • Win 7 64Bits / iTunes 10.3.1 & Genius Activation

    Hi, Since I've reinstalled my PC with iTunes 10.3.1, I can't initiate the Genius Activation. When I try to do so, I receive a simple window information saying that one error occurs, please retry later. I've a second iTunes Store account (different e-

  • Facial Recognition-- Best Practice

    Question about facial recognition for tagging, Lets say you have a person who has baby pictures, child pictures, teenager, and adult pictures. should you tell PE that these are different people (john infant, john child, john teenager, john adult) to